Package org.bukkit.event.block

# Class BlockDispenseArmorEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockDispenseEvent
org.bukkit.event.block.BlockDispenseArmorEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockDispenseArmorEvent extends BlockDispenseEvent
Called when an equippable item is dispensed from a block and equipped on a nearby entity.

If a Block Dispense Armor event is cancelled, the equipment will not be equipped on the target entity.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockDispenseArmorEvent(@NotNull Block block, @NotNull ItemStack dispensed, @NotNull LivingEntity target)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull LivingEntity`
`getTargetEntity()`
Get the living entity on which the armor was dispensed.

### Methods inherited from class org.bukkit.event.block.BlockDispenseEvent

`getHandlerList, getHandlers, getItem, getVelocity, isCancelled, setCancelled, setItem, setVelocity`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockDispenseArmorEvent

public BlockDispenseArmorEvent(@NotNull @NotNull Block block, @NotNull @NotNull ItemStack dispensed, @NotNull @NotNull LivingEntity target)

## Method Details

### getTargetEntity

@NotNull public @NotNull LivingEntity getTargetEntity()
Get the living entity on which the armor was dispensed.

Returns:
  the target entity